System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.ICloneable System.IDisposable System.Runtime.Serialization.ISerializable System.ComponentModel.TypeConverter(typeof(System.Drawing.IconConverter)) System.ComponentModel.Editor("System.Drawing.Design.IconEditor, System.Drawing.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", typeof(System.Drawing.Design.UITypeEditor))

You can construct objects from files, streams, or embedded resources. For a list of constructors, see . You can also convert an to a bitmap by using the method.

An icon resource can contain multiple icon images. One icon file may contain images in several sizes and color depths. The image that is used in an application depends on the operating system and settings. The following list details the typical sizes for an icon:

16 pixels x 16 pixels

32 pixels x 32 pixels

48 pixels x 48 pixels

Represents a Windows icon, which is a small bitmap image that is used to represent an object. Icons can be thought of as transparent bitmaps, although their size is determined by the system.

- Constructor

  An icon resource can contain multiple icon images. One icon file may contain images in several sizes and color depths. The image that is used in an application depends on the operating system and settings. The following list details the typical sizes for an icon:

  16 pixels x 16 pixels

  32 pixels x 32 pixels

  48 pixels x 48 pixels

  This constructor returns the smallest image that is contained in the specified stream.

  Initializes a new instance of the class from the specified data stream.

  The data stream from which to load the .
  1.0.5000.0
  2.0.0.0
- Constructor

  An icon resource can contain multiple icon images. One icon file may contain images in several sizes and color depths. The image that is used in an application depends on the operating system and settings. The following list details the typical sizes for an icon:

  16 pixels x 16 pixels

  32 pixels x 32 pixels

  48 pixels x 48 pixels

  This constructor returns the smallest image that is contained in the specified file.

  Initializes a new instance of the class from the specified file name.

  The file to load the from.
  1.0.5000.0
  2.0.0.0
- Constructor

  If a version cannot be found that exactly matches the size, the closest match is used. If the parameter is an that has a single size, this method only creates a duplicate icon. Use the stretching capabilities of the method to resize the icon.

  Initializes a new instance of the class and attempts to find a version of the icon that matches the requested size.

  The from which to load the newly sized icon.
  A structure that specifies the height and width of the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class of the specified size from the specified stream.

  The stream that contains the icon data.
  The desired size of the icon.
- Constructor
  2.0.0.0

  If the specified file does not contain an image that matches the desired size, the icon that has the closest size is returned.

  The should include the complete path if it is not in the current application directory.

  Initializes a new instance of the class of the specified size from the specified file.

  The name and path to the file that contains the icon data.
  The desired size of the icon.
- Constructor

  This constructor creates an from a resource with the name specified by the parameter in the assembly that contains the type specified by the parameter.

  This constructor combines the namespace of the given type together with the string name of the resource and looks for a match in the assembly manifest. For example you can pass in the type and to this constructor, and it looks for a resource that is named System.Windows.Forms.Error.ico.

  Initializes a new instance of the class from a resource in the specified assembly.

  A that specifies the assembly in which to look for the resource.
  The resource name to load.
  1.0.5000.0
  2.0.0.0
- Constructor

  If a version cannot be found that exactly matches the size, the closest match is used. If the parameter is an that has a single size, this method only creates a duplicate icon. Use the stretching capabilities of the method to resize the icon.

  Initializes a new instance of the class and attempts to find a version of the icon that matches the requested size.

  The icon to load the different size from.
  The width of the new icon.
  The height of the new icon.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified data stream and with the specified width and height.

  The data stream from which to load the icon.
  The width, in pixels, of the icon.
  The height, in pixels, of the icon.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0

  If the specified file does not contain an image that matches the desired height and width, the icon that has the closest size is returned.

  The should include the complete path if it is not in the current application directory.

  Initializes a new instance of the class with the specified width and height from the specified file.

  The name and path to the file that contains the data.
  The desired width of the .
  The desired height of the .
- Method
  System.Object To be added

  Clones the , creating a duplicate image.

  An object that can be cast to an .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Calling Dispose allows the resources that are used by this to be reallocated for other purposes.

  Releases all resources used by this .

  This method does not return a value.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Drawing.Icon ``

  A relative path is assumed to be relative to the current working directory.

  When is used with bitmaps, a thumbnail image may be returned instead of an icon if the system that is running the application has a registry setting that causes bitmap files to be shown as thumbnail images.

  Returns an icon representation of an image that is contained in the specified file.

  The representation of the image that is contained in the specified file.

  The path to the file that contains an image.
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Icon ``

  When using this method, you must dispose of the original icon by using the DestroyIcon method in the Win32 API to ensure that the resources are released.

  Creates a GDI+ from the specified Windows handle to an icon (HICON).

  The this method creates.

  A Windows handle to an icon. 1.0.5000.0 2.0.0.0
- Property
  System.IntPtr To be added: an object of type 'IntPtr' To be added

  Gets the Windows handle for this . This is not a copy of the handle; do not free it.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the height of this .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Method
  System.Void `` To be added

  Saves this to the specified output .

  The to save to. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Size To be added: an object of type 'Size' To be added

  Gets the size of this .

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` `` To be added.

  Populates a with the data that is required to serialize the target object.

  The to populate with data. The destination (see ) for this serialization.
- Method
  System.Drawing.Bitmap

  The transparent areas of the icon are lost when it is converted to a bitmap, and the transparent color of the resulting bitmap is set to RGB(13,11,12). The returned bitmap has the same height and width as the original icon.

  Converts this to a GDI+ .

  A that represents the converted .

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Gets a human-readable string that describes the .

  A string that describes the .

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the width of this .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)